diff -u ./SourceCode/dmc/dlls/weapons.h.orig ./SourceCode/dmc/dlls/weapons.h
--- ./SourceCode/dmc/dlls/weapons.h.orig	Thu Nov  1 17:16:08 2001
+++ ./SourceCode/dmc/dlls/weapons.h	Sun Dec 30 00:36:58 2001
@@ -441,7 +441,7 @@
 	int		Restore( CRestore &restore );
 	static	TYPEDESCRIPTION m_SaveData[];
 
-	HasWeapon( CBasePlayerItem *pCheckItem );
+	BOOL HasWeapon( CBasePlayerItem *pCheckItem );
 	BOOL PackWeapon( CBasePlayerItem *pWeapon );
 	BOOL PackAmmo( int iszName, int iCount );
 	
diff -u ./SourceCode/dmc/pm_shared/pm_debug.h.orig ./SourceCode/dmc/pm_shared/pm_debug.h
--- ./SourceCode/dmc/pm_shared/pm_debug.h.orig	Thu Nov  1 17:16:08 2001
+++ ./SourceCode/dmc/pm_shared/pm_debug.h	Sun Dec 30 00:36:58 2001
@@ -7,11 +7,15 @@
 
 #ifndef PM_DEBUG_H
 #define PM_DEBUG_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 void PM_ViewEntity( void );
 void PM_DrawBBox(vec3_t mins, vec3_t maxs, vec3_t origin, int pcolor, float life);
 void PM_ParticleLine(vec3_t start, vec3_t end, int pcolor, float life, float vert);
 void PM_ShowClipBox( void );
 
-#endif // PMOVEDBG_H
\ No newline at end of file
+#endif // PMOVEDBG_H
diff -u ./SourceCode/dmc/pm_shared/pm_defs.h.orig ./SourceCode/dmc/pm_shared/pm_defs.h
--- ./SourceCode/dmc/pm_shared/pm_defs.h.orig	Thu Nov  1 17:16:08 2001
+++ ./SourceCode/dmc/pm_shared/pm_defs.h	Sun Dec 30 00:36:58 2001
@@ -8,7 +8,11 @@
 // pm_defs.h
 #if !defined( PM_DEFSH )
 #define PM_DEFSH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #define	MAX_PHYSENTS 600 		  // Must have room for all entities in the world.
 #define MAX_MOVEENTS 64
diff -u ./SourceCode/dmc/pm_shared/pm_info.h.orig ./SourceCode/dmc/pm_shared/pm_info.h
--- ./SourceCode/dmc/pm_shared/pm_info.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/dmc/pm_shared/pm_info.h	Sun Dec 30 00:36:58 2001
@@ -8,8 +8,12 @@
 // Physics info string definition
 #if !defined( PM_INFOH )
 #define PM_INFOH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #define MAX_PHYSINFO_STRING 256
 
-#endif // PM_INFOH
\ No newline at end of file
+#endif // PM_INFOH
diff -u ./SourceCode/dmc/pm_shared/pm_materials.h.orig ./SourceCode/dmc/pm_shared/pm_materials.h
--- ./SourceCode/dmc/pm_shared/pm_materials.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/dmc/pm_shared/pm_materials.h	Sun Dec 30 00:36:58 2001
@@ -7,7 +7,11 @@
 
 #if !defined( PM_MATERIALSH )
 #define PM_MATERIALSH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #define CBTEXTURENAMEMAX	13			// only load first n chars of name
 
@@ -23,4 +27,4 @@
 #define CHAR_TEX_GLASS		'Y'
 #define CHAR_TEX_FLESH		'F'
 
-#endif // !PM_MATERIALSH
\ No newline at end of file
+#endif // !PM_MATERIALSH
diff -u ./SourceCode/dmc/pm_shared/pm_shared.h.orig ./SourceCode/dmc/pm_shared/pm_shared.h
--- ./SourceCode/dmc/pm_shared/pm_shared.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/dmc/pm_shared/pm_shared.h	Sun Dec 30 00:36:58 2001
@@ -18,7 +18,11 @@
 //
 #if !defined( PM_SHAREDH )
 #define PM_SHAREDH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 void PM_Init( struct playermove_s *ppmove );
 void PM_Move ( struct playermove_s *ppmove, int server );
diff -u ./SourceCode/engine/custom.h.orig ./SourceCode/engine/custom.h
--- ./SourceCode/engine/custom.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/engine/custom.h	Sun Dec 30 00:36:58 2001
@@ -17,7 +17,9 @@
 #ifndef CUSTOM_H
 #define CUSTOM_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #include "const.h"
diff -u ./SourceCode/engine/edict.h.orig ./SourceCode/engine/edict.h
--- ./SourceCode/engine/edict.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/engine/edict.h	Sun Dec 30 00:36:58 2001
@@ -8,7 +8,9 @@
 #if !defined EDICT_H
 #define EDICT_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 #define	MAX_ENT_LEAFS	48
 
diff -u ./SourceCode/engine/eiface.h.orig ./SourceCode/engine/eiface.h
--- ./SourceCode/engine/eiface.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/engine/eiface.h	Sun Apr 21 16:20:36 2002
@@ -258,6 +258,8 @@
 	// NOTE: these functions take player entity indices (starting at 1).
 	qboolean	(*pfnVoice_GetClientListening)(int iReceiver, int iSender);
 	qboolean	(*pfnVoice_SetClientListening)(int iReceiver, int iSender, qboolean bListen);
+
+	const char *(*pfnGetPlayerAuthId)		( edict_t *e );
 } enginefuncs_t;
 // ONLY ADD NEW FUNCTIONS TO THE END OF THIS STRUCT.  INTERFACE VERSION IS FROZEN AT 138
 
@@ -487,4 +489,4 @@
 typedef int	(*APIFUNCTION)( DLL_FUNCTIONS *pFunctionTable, int interfaceVersion );
 typedef int	(*APIFUNCTION2)( DLL_FUNCTIONS *pFunctionTable, int *interfaceVersion );
 
-#endif EIFACE_H
+#endif /* EIFACE_H */
diff -u ./SourceCode/engine/keydefs.h.orig ./SourceCode/engine/keydefs.h
--- ./SourceCode/engine/keydefs.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/engine/keydefs.h	Sun Dec 30 00:36:58 2001
@@ -9,7 +9,9 @@
 #ifndef KEYDEFS_H
 #define KEYDEFS_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 //
diff -u ./SourceCode/engine/progdefs.h.orig ./SourceCode/engine/progdefs.h
--- ./SourceCode/engine/progdefs.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/engine/progdefs.h	Sun Dec 30 00:36:58 2001
@@ -15,7 +15,9 @@
 #ifndef PROGDEFS_H
 #define PROGDEFS_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 typedef struct
@@ -221,4 +223,4 @@
 } entvars_t;
 
 
-#endif // PROGDEFS_H
\ No newline at end of file
+#endif // PROGDEFS_H
diff -u ./SourceCode/game_shared/bitvec.h.orig ./SourceCode/game_shared/bitvec.h
--- ./SourceCode/game_shared/bitvec.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/game_shared/bitvec.h	Sun Dec 30 00:36:59 2001
@@ -8,7 +8,9 @@
 #ifndef BITVEC_H
 #define BITVEC_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./SourceCode/game_shared/vgui_checkbutton2.h.orig ./SourceCode/game_shared/vgui_checkbutton2.h
--- ./SourceCode/game_shared/vgui_checkbutton2.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/game_shared/vgui_checkbutton2.h	Sun Dec 30 00:36:59 2001
@@ -8,7 +8,9 @@
 #ifndef VGUI_CHECKBUTTON2_H
 #define VGUI_CHECKBUTTON2_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./SourceCode/game_shared/vgui_defaultinputsignal.h.orig ./SourceCode/game_shared/vgui_defaultinputsignal.h
--- ./SourceCode/game_shared/vgui_defaultinputsignal.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/game_shared/vgui_defaultinputsignal.h	Sun Dec 30 00:36:59 2001
@@ -8,7 +8,9 @@
 #ifndef VGUI_DEFAULTINPUTSIGNAL_H
 #define VGUI_DEFAULTINPUTSIGNAL_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./SourceCode/game_shared/vgui_grid.h.orig ./SourceCode/game_shared/vgui_grid.h
--- ./SourceCode/game_shared/vgui_grid.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/game_shared/vgui_grid.h	Sun Dec 30 00:36:59 2001
@@ -8,7 +8,9 @@
 #ifndef VGUI_GRID_H
 #define VGUI_GRID_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./SourceCode/game_shared/vgui_helpers.h.orig ./SourceCode/game_shared/vgui_helpers.h
--- ./SourceCode/game_shared/vgui_helpers.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/game_shared/vgui_helpers.h	Sun Dec 30 00:36:59 2001
@@ -8,7 +8,9 @@
 #ifndef VGUI_HELPERS_H
 #define VGUI_HELPERS_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./SourceCode/game_shared/vgui_listbox.h.orig ./SourceCode/game_shared/vgui_listbox.h
--- ./SourceCode/game_shared/vgui_listbox.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/game_shared/vgui_listbox.h	Sun Dec 30 00:36:59 2001
@@ -8,7 +8,9 @@
 #ifndef VOICE_LISTBOX_H
 #define VOICE_LISTBOX_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./SourceCode/game_shared/vgui_loadtga.h.orig ./SourceCode/game_shared/vgui_loadtga.h
--- ./SourceCode/game_shared/vgui_loadtga.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/game_shared/vgui_loadtga.h	Sun Dec 30 00:36:59 2001
@@ -8,7 +8,9 @@
 #ifndef VGUI_LOADTGA_H
 #define VGUI_LOADTGA_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./SourceCode/game_shared/vgui_scrollbar2.h.orig ./SourceCode/game_shared/vgui_scrollbar2.h
--- ./SourceCode/game_shared/vgui_scrollbar2.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/game_shared/vgui_scrollbar2.h	Sun Dec 30 00:36:59 2001
@@ -8,7 +8,9 @@
 #ifndef VGUI_SCROLLBAR2_H
 #define VGUI_SCROLLBAR2_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #include<VGUI.h>
diff -u ./SourceCode/game_shared/vgui_slider2.h.orig ./SourceCode/game_shared/vgui_slider2.h
--- ./SourceCode/game_shared/vgui_slider2.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/game_shared/vgui_slider2.h	Sun Dec 30 00:36:59 2001
@@ -8,7 +8,9 @@
 #ifndef VGUI_SLIDER2_H
 #define VGUI_SLIDER2_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 #include<VGUI.h>
diff -u ./SourceCode/game_shared/voice_banmgr.h.orig ./SourceCode/game_shared/voice_banmgr.h
--- ./SourceCode/game_shared/voice_banmgr.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/game_shared/voice_banmgr.h	Sun Dec 30 00:36:59 2001
@@ -8,7 +8,9 @@
 #ifndef VOICE_BANMGR_H
 #define VOICE_BANMGR_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./SourceCode/game_shared/voice_common.h.orig ./SourceCode/game_shared/voice_common.h
--- ./SourceCode/game_shared/voice_common.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/game_shared/voice_common.h	Sun Dec 30 00:36:59 2001
@@ -8,7 +8,9 @@
 #ifndef VOICE_COMMON_H
 #define VOICE_COMMON_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./SourceCode/game_shared/voice_gamemgr.h.orig ./SourceCode/game_shared/voice_gamemgr.h
--- ./SourceCode/game_shared/voice_gamemgr.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/game_shared/voice_gamemgr.h	Sun Dec 30 00:36:59 2001
@@ -7,7 +7,11 @@
 
 #ifndef VOICE_GAMEMGR_H
 #define VOICE_GAMEMGR_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 
 #include "voice_common.h"
diff -u ./SourceCode/game_shared/voice_status.h.orig ./SourceCode/game_shared/voice_status.h
--- ./SourceCode/game_shared/voice_status.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/game_shared/voice_status.h	Sun Dec 30 00:36:59 2001
@@ -7,7 +7,11 @@
 
 #ifndef VOICE_STATUS_H
 #define VOICE_STATUS_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 
 #include "VGUI_Label.h"
diff -u ./SourceCode/game_shared/voice_vgui_tweakdlg.h.orig ./SourceCode/game_shared/voice_vgui_tweakdlg.h
--- ./SourceCode/game_shared/voice_vgui_tweakdlg.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/game_shared/voice_vgui_tweakdlg.h	Sun Dec 30 00:36:59 2001
@@ -8,7 +8,9 @@
 #ifndef VOICE_VGUI_TWEAKDLG_H
 #define VOICE_VGUI_TWEAKDLG_H
 #ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
 #endif
 
 
diff -u ./SourceCode/pm_shared/pm_debug.h.orig ./SourceCode/pm_shared/pm_debug.h
--- ./SourceCode/pm_shared/pm_debug.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/pm_shared/pm_debug.h	Sun Dec 30 00:36:59 2001
@@ -14,7 +14,11 @@
 ****/
 #ifndef PM_DEBUG_H
 #define PM_DEBUG_H
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 void PM_ViewEntity( void );
 void PM_DrawBBox(vec3_t mins, vec3_t maxs, vec3_t origin, int pcolor, float life);
diff -u ./SourceCode/pm_shared/pm_defs.h.orig ./SourceCode/pm_shared/pm_defs.h
--- ./SourceCode/pm_shared/pm_defs.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/pm_shared/pm_defs.h	Sun Dec 30 00:36:59 2001
@@ -15,7 +15,11 @@
 // pm_defs.h
 #if !defined( PM_DEFSH )
 #define PM_DEFSH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #define	MAX_PHYSENTS 600 		  // Must have room for all entities in the world.
 #define MAX_MOVEENTS 64
diff -u ./SourceCode/pm_shared/pm_info.h.orig ./SourceCode/pm_shared/pm_info.h
--- ./SourceCode/pm_shared/pm_info.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/pm_shared/pm_info.h	Sun Dec 30 00:36:59 2001
@@ -15,7 +15,11 @@
 // Physics info string definition
 #if !defined( PM_INFOH )
 #define PM_INFOH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #define MAX_PHYSINFO_STRING 256
 
diff -u ./SourceCode/pm_shared/pm_materials.h.orig ./SourceCode/pm_shared/pm_materials.h
--- ./SourceCode/pm_shared/pm_materials.h.orig	Thu Nov  1 17:16:10 2001
+++ ./SourceCode/pm_shared/pm_materials.h	Sun Dec 30 00:36:59 2001
@@ -14,7 +14,11 @@
 ****/
 #if !defined( PM_MATERIALSH )
 #define PM_MATERIALSH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 #define CBTEXTURENAMEMAX	13			// only load first n chars of name
 
diff -u ./SourceCode/pm_shared/pm_shared.h.orig ./SourceCode/pm_shared/pm_shared.h
--- ./SourceCode/pm_shared/pm_shared.h.orig	Thu Nov  1 17:16:12 2001
+++ ./SourceCode/pm_shared/pm_shared.h	Sun Dec 30 00:36:59 2001
@@ -18,7 +18,11 @@
 //
 #if !defined( PM_SHAREDH )
 #define PM_SHAREDH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 void PM_Init( struct playermove_s *ppmove );
 void PM_Move ( struct playermove_s *ppmove, int server );
@@ -36,4 +40,4 @@
 #define OBS_ROAMING				3		
 #define OBS_DIRECTED			4
 
-#endif
\ No newline at end of file
+#endif
diff -u ./SourceCode/utils/procinfo/procinfo.h.orig ./SourceCode/utils/procinfo/procinfo.h
--- ./SourceCode/utils/procinfo/procinfo.h.orig	Thu Nov  1 17:16:14 2001
+++ ./SourceCode/utils/procinfo/procinfo.h	Sun Dec 30 00:37:00 2001
@@ -7,7 +7,11 @@
 
 #if !defined ( PROCINFOH )
 #define PROCINFOH
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 
 int		PROC_GetSpeed( void );
 int		PROC_IsMMX( void );
diff -u ./SourceCode/utils/serverctrl/ServerCtrl.h.orig ./SourceCode/utils/serverctrl/ServerCtrl.h
--- ./SourceCode/utils/serverctrl/ServerCtrl.h.orig	Thu Nov  1 17:16:16 2001
+++ ./SourceCode/utils/serverctrl/ServerCtrl.h	Sun Dec 30 00:37:00 2001
@@ -5,7 +5,11 @@
 #define AFX_ServerCtrl_H__E2974CA6_EF9F_11D3_A4D9_00105A1727F3__INCLUDED_
 
 #if _MSC_VER > 1000
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 #endif // _MSC_VER > 1000
 
 #ifndef __AFXWIN_H__
diff -u ./SourceCode/utils/serverctrl/ServerCtrlDlg.h.orig ./SourceCode/utils/serverctrl/ServerCtrlDlg.h
--- ./SourceCode/utils/serverctrl/ServerCtrlDlg.h.orig	Thu Nov  1 17:16:16 2001
+++ ./SourceCode/utils/serverctrl/ServerCtrlDlg.h	Sun Dec 30 00:37:00 2001
@@ -5,7 +5,11 @@
 #define AFX_ServerCtrlDLG_H__E2974CA8_EF9F_11D3_A4D9_00105A1727F3__INCLUDED_
 
 #if _MSC_VER > 1000
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 #endif // _MSC_VER > 1000
 
 /////////////////////////////////////////////////////////////////////////////
diff -u ./SourceCode/utils/serverctrl/StdAfx.h.orig ./SourceCode/utils/serverctrl/StdAfx.h
--- ./SourceCode/utils/serverctrl/StdAfx.h.orig	Thu Nov  1 17:16:16 2001
+++ ./SourceCode/utils/serverctrl/StdAfx.h	Sun Dec 30 00:37:00 2001
@@ -7,7 +7,11 @@
 #define AFX_STDAFX_H__E2974CAA_EF9F_11D3_A4D9_00105A1727F3__INCLUDED_
 
 #if _MSC_VER > 1000
+#ifdef _WIN32
+#ifndef __MINGW32__
 #pragma once
+#endif /* not __MINGW32__ */
+#endif
 #endif // _MSC_VER > 1000
 
 #define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers
